de.vc.report.sources.db

## Class DBDataSource

- java.lang.Object
- - de.vc.report.DataSource
  - - de.vc.report.sources.db.DBDataSource

-     public class DBDataSource
      extends DataSource

  A data source using a database.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XML_TAG`
    `static java.lang.String` | `XML_TAG_GLOBAL_VALUES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBDataSource(de.vc.config.Configuration config)`
    `DBDataSource(DBConnection connection)`
    `DBDataSource(java.io.InputStream xmlDescription)`
    `DBDataSource(java.lang.String xmlFile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTableModel(DBTableModel model)`
    `void` | `configure(de.vc.config.Configuration configuration)` Configures this data source with a (Avalon) Configuration.
    `protected void` | `deliverData()`
    `java.util.Map` | `getParameterMap()`
    `DBSelection` | `getSelection()`
    `protected ReportData` | `newReportData()`
    `void` | `setConnection(DBConnection connection)`
    `void` | `setParameter(java.lang.String paramName, java.lang.String value)`
    `void` | `setSelection(DBSelection selection)`

    - ### Methods inherited from class de.vc.report.DataSource

      `deliver, getDataCount, getLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_TAG

          public static final java.lang.String XML_TAG

      See Also:
        Constant Field Values

    - #### XML_TAG_GLOBAL_VALUES

          public static final java.lang.String XML_TAG_GLOBAL_VALUES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DBDataSource

          public DBDataSource(de.vc.config.Configuration config)
                       throws de.vc.config.ConfigurationException

      Throws:
        `de.vc.config.ConfigurationException`

    - #### DBDataSource

          public DBDataSource(DBConnection connection)

    - #### DBDataSource

          public DBDataSource(java.io.InputStream xmlDescription)

    - #### DBDataSource

          public DBDataSource(java.lang.String xmlFile)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### addTableModel

          public void addTableModel(DBTableModel model)

    - #### configure

          public void configure(de.vc.config.Configuration configuration)
                         throws de.vc.config.ConfigurationException

      Configures this data source with a (Avalon) Configuration.
      Parameters:
        `configuration` - Configuration.
      Throws:
        `de.vc.config.ConfigurationException`

    - #### deliverData

          protected final void deliverData()
                                    throws ReportException

      Specified by:
        `deliverData` in class `DataSource`
      Throws:
        `ReportException`

    - #### newReportData

          protected ReportData newReportData()
                                      throws ReportException

      Throws:
        `ReportException`

    - #### getParameterMap

          public java.util.Map getParameterMap()

    - #### getSelection

          public DBSelection getSelection()

    - #### setConnection

          public void setConnection(DBConnection connection)

    - #### setParameter

          public void setParameter(java.lang.String paramName,
                          java.lang.String value)

    - #### setSelection

          public void setSelection(DBSelection selection)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.